/*
   base/navpoint.cc
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#include "base/navpoint.h"
#include "base/game.h"

namespace game
{

NavPoint::NavPoint() : core::Entity()
{
	entity_shape = core::Entity::Diamond;
	get_color().assign(1.0f, 1.0f);
	get_color_second().assign(0.6f, 1.0f);
	set_radius(0.25f);
	set_flag(core::Entity::Static);
	set_flag(core::Entity::Bright);
	//set_flag(core::Entity::ShowOnMap);
	
	entity_moduletypeid = navpoint_enttype;
}

NavPoint::~NavPoint()
{
}

}
