/*
   base/station.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_STATION_H__
#define __INCLUDED_BASE_STATION_H__

#include "base/physics.h"

namespace game
{

class Station : public core::Entity, public PhysicsBody
{
public:
	Station();
	virtual ~Station();

	/// entity received a docking request
	virtual void dock(core::Entity *entity);
};

}

#endif // __INCLUDED_BASE_SHIPDEALER_H__

